/** An instance contains a pair of ints */
public class Pair {
    
    /** Note: The two fields are public, and not private, going against
        our software engineering philosophy. We do this here because of
        what Pair is for and how it is used. It is used only to be able to
        bring together two values into a single one. There are no other
        methods, except the constructor and toString.
        */
    
    /** the two ints are (x, y) */
    public int x;
    public int y;
    
    /** Constructor: An instance for the pair (x, y). */
    public Pair(int x, int y) {
        this.x= x;
        this.y= y;
    }
    
    /** a representation of this pair */
    public String toString() {
        return "(" + x + ", " + y + ")";
    }
}

